Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14795/?format=api
{ "ob_id": 14795, "uuid": "33421537b9dd476d911b8f184734bb90", "title": "MarQUEST: Monthly Inherent Optical Properties for 1998-2007 calculated from SeaWiFS/SeaStar Level 3 products", "abstract": "MarQUEST was led by Prof Andrew Watson (UEA), with 15 co-investigators at UEA/BAS, the Universities of Southampton, Essex, and Reading, and from the Plymouth Marine Laboratory and Proudman Oceanographic Laboratory.\r\n\r\nThis dataset contains monthly inherent optical absorption properties for 1998-2007 calculated from SeaWiFS/SeaStar Level 3 products.\r\n\r\nQUEST scientists cooperated in comparing various models, and examining more fundamental (physiological) approaches to understanding the planktonic ecoystem. MarQUEST also developed a module to simulate coastal ecosystems, usable in global ocean biogeochemical simulations. Finally, the project team generated an accurate physical simulation of the North Atlantic guided by data assimilation, into which ecosystem simulations can be embedded. This allows the variation in air-sea fluxes of gases (CO2, oxygen and dimethyl sulphide) from ocean to atmosphere to be quantified for the contemporary period.\r\n\r\nThis data was produced by Takafumi Hirata, Plymouth Marine Laboratory, Plymouth, UK as part of NERC Programmes: Centre for the observation of Air-Sea Interaction and fluXes (CASIX), National Centre for Earth Observation (NCEO) and Quantifying and Understanding the Earth System (QUEST).", "keywords": "QUEST, MarQUEST, Marine, ocean, biogeochemistry, model", "publicationState": "published", "dataPublishedTime": "2008-12-10T10:14:04", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14796/?format=api", "dataPath": "/badc/quest/data/marquest/pml_ocean_optical", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 8958517171, "numberOfFiles": 21, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3889/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/39019/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50542/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57390/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/57862/?format=api" ], "dataLineage": "OCCAM model data provided by Bablu Sinha at NOC. Plankton data from PML.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8972/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5000/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/projects/11996/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5358/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57439/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57437/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57441/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57442/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57443/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57444/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/57440/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74443/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/74442/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/14797/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }